<?php

namespace Drp\NativeEventApp\Exceptions;

use GraphQL\Error\ClientAware;

class NoAvailableContactDetails extends \Exception implements ClientAware
{
    /**
     * @var string
     */
    protected $message = 'There are no auth methods available';

    public function isClientSafe(): bool
    {
        return true;
    }

    public function getCategory(): string
    {
        return 'auth';
    }
}
