<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\MorphTo;

class Styles extends Model
{
    /** @var string */
    protected $table = 'styles';

    /** @var string[] */
    protected $fillable = ['styles', 'className'];

    /** @var string[] */
    protected $casts = [
        'styles' => 'array',
    ];

    public function stylable(): MorphTo
    {
        return $this->morphTo();
    }
}
