<?php

namespace Drp\NativeEventApp\Modules\Types;

use Drp\NativeEventApp\Modules\Types\Actions\Action;

class Touchable extends Container
{
    /** @var \Drp\NativeEventApp\Modules\Types\Actions\Action */
    public $onPress;

    public static function getDescription(): string
    {
        return 'A wrapper to make other modules interactive.';
    }

    public function onPress(Action $action): self
    {
        $this->onPress = $action;

        return $this;
    }

    public function serializeOnPress(): array
    {
        return $this->onPress->toArray();
    }

    public function setOnPress(array $onPress): void
    {
        $this->onPress = Action::fromArray($onPress);
    }
}
