<?php

use Drp\NativeEventApp\Migrations\CreateNavigatableItemsView as BaseCreateNavigatableItemsView;
use Illuminate\Database\Query\Builder;
use Illuminate\Support\Facades\DB;

class CreateNavigatableItemsView extends BaseCreateNavigatableItemsView
{
    protected function select(): Builder
    {
        return DB::table($this->tableName())
            ->select([
                'id',
                'icon',
                'text',
                'destination_id as destinationId',
                'destination_type as destinationType',
            ]);
    }
}
