<?php

namespace Drp\NativeEventApp\Exceptions;

use Illuminate\Http\Response;
use Throwable;

class InvalidModule extends \Exception
{
    /**
     * @param mixed $data
     */
    public static function failedUnserialization($data, ?Throwable $previous = null): self
    {
        return new self(
            'Module could not be mapped from serialized data ' . json_encode($data),
            Response::HTTP_INTERNAL_SERVER_ERROR,
            $previous
        );
    }
}
