<?php

namespace Drp\NativeEventApp\Test\Unit\Modules;

use Drp\NativeEventApp\Facades\ModulesUnSerializer;
use Drp\NativeEventApp\Modules\Modules;
use Drp\NativeEventApp\Modules\Types\SimpleContainer;
use Drp\NativeEventApp\Modules\Types\Text;
use Drp\NativeEventApp\Test\TestCase;

class SimpleContainerTest extends TestCase
{
    /** @test */
    public function can_serialize_module()
    {
        $module = SimpleContainer::make([
            Text::make('This is a test'),
        ]);

        $modules = ModulesUnSerializer::getModulesFromString(Modules::make([$module])->toJson());

        $this->assertInstanceOf(SimpleContainer::class, $modules->first());
    }
}
